Summary:	Cairo-rendered on-screen clock 
Name:		cairo-clock
Version:	0.3.4
Release:	5%{?dist}
URL:		http://macslow.thepimp.net/?page_id=23
Source0:	http://macslow.thepimp.net/projects/%{name}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	librsvg2-devel
BuildRequires:	libglade2-devel

%description
Cairo-Clock is a desktop clock using cairo for rendering and taking advantage
of the Composite extension on newer Xorg servers.

%prep
%setup -q
sed 's/Application;//' -i desktop/%{name}.desktop

%build
%configure
%{__make}  %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install INSTALL="install -p"  DESTDIR=$RPM_BUILD_ROOT
%{__rm} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install					\
	--vendor fedora					\
	--add-category X-Fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	desktop/%{name}.desktop
%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Jun 01 2010 Benoît Marcelin <sereinity@online.fr> 0.3.4-5
- Increase release for 564959

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 26 2008 Benoît Marcelin <sereinity@online.fr> 0.3.4-2
- Fix BuildRequires for Fedora 10
* Thu Feb 04 2008 Benoît Marcelin <sereinity@online.fr> 0.3.4-1
- Update to 0.3.4
- Clean BuildRequires and changelog
* Thu Dec 19 2007 Benoît Marcelin <sereinity@online.fr> 0.3.3-3
- Clean version need on BuildRequire
- Clean Require
- use %%{__make} INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
- drop INSTALL doc file
- change vendor Fedora to fedora
* Sun Dec 09 2007 Benoît Marcelin <sereinity@online.fr> 0.3.3-2
- Correct the url, vendor
- use make install instead of %%makeinstall
- add a upstream for sources
- clean BuildRequires and Requires
* Thu Oct 04 2007 Benoît Marcelin <sereinity@online.fr> 0.3.3-1
- Update to 0.3.3
* Sun Mar 11 2007 Benoît Marcelin <sereinity@online.fr> 0.3.2-1
- Spec file correction with rpmlint
* Tue Nov 14 2006 homer <nobodyhome@swaziland.cz> 0.3.1-1
- Spec file updated for FC6
* Mon Feb 27 2006 Hyun-Jin Moon <moonhyunjin@gmail.com> 0.3.1-1
- Just rebuild for Fedora Core 5 Test 3.
  This should works official Fedora Core 5 in later.
* Sat Feb 04 2006 Milosz Derezynski <internalerror@gmail.com> 0.3-1 
- Initial spec file 
